GNU bug report logs - #48364
[PATCH 5/5] gnu: Add tz.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Stefan Reichör <stefan@HIDDEN>; Keywords: patch; merged with #48360, #48361, #48362, #48363; dated Tue, 11 May 2021 18:57:04 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.
Merged 48360 48361 48362 48363 48364. Request was from Sarah Morgensen <iskarian@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Disconnected #48369 from all other report(s). Request was from Sarah Morgensen <iskarian@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 48360 48361 48362 48363 48364 48369. Request was from Sarah Morgensen <iskarian@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 48364 <at> debbugs.gnu.org:


Received: (at 48364) by debbugs.gnu.org; 14 May 2021 01:28:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 13 21:28:34 2021
Received: from localhost ([127.0.0.1]:44588 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lhMcz-0006g3-Qc
	for submit <at> debbugs.gnu.org; Thu, 13 May 2021 21:28:33 -0400
Received: from out3-smtp.messagingengine.com ([66.111.4.27]:34079)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <leo@HIDDEN>) id 1lhMcv-0006fJ-OC
 for 48364 <at> debbugs.gnu.org; Thu, 13 May 2021 21:28:32 -0400
Received: from compute5.internal (compute5.nyi.internal [10.202.2.45])
 by mailout.nyi.internal (Postfix) with ESMTP id AB1F05C0110;
 Thu, 13 May 2021 21:28:24 -0400 (EDT)
Received: from mailfrontend2 ([10.202.2.163])
 by compute5.internal (MEProxy); Thu, 13 May 2021 21:28:24 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=famulari.name;
 h=date:from:to:cc:subject:message-id:references:mime-version
 :content-type:content-transfer-encoding:in-reply-to; s=mesmtp;
 bh=aeuB80ugtMkC23danLihYcZyIbMeKAwU2Cjq+1kXLuM=; b=r0wiXRed0RGm
 MPyC7Tl7SoCc/eBBeH5D83aGyCKOyPM+rCOtGdct3oonD95czAoUoOd1aceg3Wv1
 5LzNAuDQX/ourkYzlaXVxmUNj/7QjENx9bRb1JfJfO2mDLeMU8tq9oSImH6lvUp/
 gXlCcW+Es5a0OkowfIrIaxF2qUDLu8U=
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-transfer-encoding:content-type
 :date:from:in-reply-to:message-id:mime-version:references
 :subject:to:x-me-proxy:x-me-proxy:x-me-sender:x-me-sender
 :x-sasl-enc; s=fm2; bh=aeuB80ugtMkC23danLihYcZyIbMeKAwU2Cjq+1kXL
 uM=; b=L8Fj2shTmQ2fqgR9la7USLSrWqBRjLvpi+AuTiB1zEMpfY5VgC3z2ASef
 UW/d6R9uQMNXvFTAlmomZC51Oebit5x+1M8mA0MTgnKUOj7bprkPsiEXG92AG+sa
 uLVsRYIhBzJIRkbu56PHqrFwyrjyn+oWtF4XLXyqI4KNpVxsGf9vI14kDDtmj+Q/
 js3L1bjZBljjTx//abu4ddDw7vuOkkdksSeODgtKzGTumEf/HPP5DLElK4zMLUa5
 nny90yVZB8rqk+rLHPLnf3ILwlnIzSia9iGUKM8/hn/vCDcL5q/iMdL8DDUraPaT
 NsKPaMbjWwN95yC7PmUMmIq2Jmwwg==
X-ME-Sender: <xms:N9KdYAoWCFchwO2EAXrwItM_Vz7T8lPESzAA2oXaI2BLBeH4qf7_XA>
 <xme:N9KdYGp6bJcNicDUoCZ4QXiYlBx7Y7SEtq5WRgWauh16jZ44CgZQTVRn-3MqfV4J_
 iZqeC6P4wfC7hNnQg>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgeduledrvdehhedggeeiucetufdoteggodetrfdotf
 fvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfqfgfvpdfurfetoffkrfgpnffqhgen
 uceurghilhhouhhtmecufedttdenucesvcftvggtihhpihgvnhhtshculddquddttddmne
 cujfgurhepfffhvffukfhfgggtugfgjgesthekredttddtudenucfhrhhomhepnfgvohcu
 hfgrmhhulhgrrhhiuceolhgvohesfhgrmhhulhgrrhhirdhnrghmvgeqnecuggftrfgrth
 htvghrnhepvdegtedtjefhleekudehtdeukeeujeefgfeigfejieeggffhgeehteejhfff
 tefgnecuffhomhgrihhnpehgohhlrghnghdrohhrghenucfkphepuddttddruddurdduie
 elrdduudeknecuvehluhhsthgvrhfuihiivgeptdenucfrrghrrghmpehmrghilhhfrhho
 mheplhgvohesfhgrmhhulhgrrhhirdhnrghmvg
X-ME-Proxy: <xmx:N9KdYFOzQ6yT8WASHpkoFRHanhMkm5onPXsqY4a6qUtXgFsInTE-gA>
 <xmx:N9KdYH5YV7ske7dQIGHBWrGzgXevRDcB34gcORPA1r-Qv9H0OPx_bQ>
 <xmx:N9KdYP6lHVK-ptDQ_kVckVf9R477A-iFQTkuAzEYh2PLXftF06Gltw>
 <xmx:ONKdYIXQGdwcF4HgooDC5wpOaU8habz0kr8HndLfDNGON3OpK1fmLQ>
Received: from localhost (pool-100-11-169-118.phlapa.fios.verizon.net
 [100.11.169.118]) by mail.messagingengine.com (Postfix) with ESMTPA;
 Thu, 13 May 2021 21:28:23 -0400 (EDT)
Date: Thu, 13 May 2021 21:28:21 -0400
From: Leo Famulari <leo@HIDDEN>
To: Stefan =?iso-8859-1?Q?Reich=F6r?= <stefan@HIDDEN>
Subject: Re: [bug#48364] [PATCH 5/5] gnu: Add tz.
Message-ID: <YJ3SNQEUhQhqLnVe@HIDDEN>
References: <20210511185554.67355-5-stefan@HIDDEN>
 <87v97mbguc.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=iso-8859-1
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
In-Reply-To: <87v97mbguc.fsf@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 48364
Cc: 48364 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On Thu, May 13, 2021 at 08:59:07PM +0200, Stefan ReichŲr wrote:
> LoadLocation does the lookup in the installed timezone database:
> 
> https://golang.org/pkg/time/#LoadLocation

Oh, I see. This must be why Go itself depends on (and keeps a run-time
reference to) tzdata.

We'll want to fix that someday, but that's a separate concern from these
packages.




Information forwarded to guix-patches@HIDDEN:
bug#48364; Package guix-patches. Full text available.

Message received at 48364 <at> debbugs.gnu.org:


Received: (at 48364) by debbugs.gnu.org; 13 May 2021 18:59:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 13 14:59:15 2021
Received: from localhost ([127.0.0.1]:44305 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lhGYE-00038d-Sb
	for submit <at> debbugs.gnu.org; Thu, 13 May 2021 14:59:15 -0400
Received: from dd3624.kasserver.com ([85.13.130.11]:34418)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefan@HIDDEN>) id 1lhGYB-00038P-Fd
 for 48364 <at> debbugs.gnu.org; Thu, 13 May 2021 14:59:13 -0400
Received: from localhost (217-149-167-109.nat.highway.telekom.at
 [217.149.167.109])
 by dd3624.kasserver.com (Postfix) with ESMTPA id 88E405D40111
 for <48364 <at> debbugs.gnu.org>; Thu, 13 May 2021 20:59:08 +0200 (CEST)
From: Stefan =?utf-8?Q?Reich=C3=B6r?= <stefan@HIDDEN>
To: 48364 <at> debbugs.gnu.org
Subject: [PATCH 5/5] gnu: Add tz.
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
Date: Thu, 13 May 2021 20:59:07 +0200
Message-ID: <87v97mbguc.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 48364
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Another attempt to answer the question from Leo Famulari

I didn't get the question from the bugtracker by email:

,----
| I'm curious, how does it find the time zone database?
| 
| It should look them up at runtime via something like a TZDIR environment
| variable. It should not include a copy of the database, or else it will
| become "stale" before too long.
`----

Yesterday I tried to answer it directly in the web interface. My answer
didn't show up :-(

Now I try to answer per email


The timezone is determined by the go runtime function LoadLocation:

https://github.com/oz/tz/blob/main/zone.go#L77


LoadLocation does the lookup in the installed timezone database:

https://golang.org/pkg/time/#LoadLocation




Information forwarded to guix-patches@HIDDEN:
bug#48364; Package guix-patches. Full text available.

Message received at 48364 <at> debbugs.gnu.org:


Received: (at 48364) by debbugs.gnu.org; 12 May 2021 16:21:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 12 12:21:26 2021
Received: from localhost ([127.0.0.1]:40233 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lgrby-0006xp-Ak
	for submit <at> debbugs.gnu.org; Wed, 12 May 2021 12:21:26 -0400
Received: from wout3-smtp.messagingengine.com ([64.147.123.19]:56817)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <leo@HIDDEN>) id 1lgrbw-0006xc-OH
 for 48364 <at> debbugs.gnu.org; Wed, 12 May 2021 12:21:25 -0400
Received: from compute2.internal (compute2.nyi.internal [10.202.2.42])
 by mailout.west.internal (Postfix) with ESMTP id 106D2F07;
 Wed, 12 May 2021 12:21:18 -0400 (EDT)
Received: from mailfrontend2 ([10.202.2.163])
 by compute2.internal (MEProxy); Wed, 12 May 2021 12:21:19 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=famulari.name;
 h=date:from:to:cc:subject:message-id:references:mime-version
 :content-type:content-transfer-encoding:in-reply-to; s=mesmtp;
 bh=9X5V+VuilK5u/rk0PZhOT5UiTt9raqyRAwBkkbP1m0I=; b=BKuQio31xxgr
 g7P3Rxd9oCbsHgiRtF1JBNil5fv0G8oQ/NwNLQA5kkzwu5tiHm7viZyw7+VbYuNf
 jIhb3B5mbxr6hKdH9msriSyqhL47xiY8Fp3iLVUyRy7lRw7F63NZPbqCMQonK0i8
 Z/3TpkXj7pnZTe4oeGMdQDdwwQ3J8Rk=
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-transfer-encoding:content-type
 :date:from:in-reply-to:message-id:mime-version:references
 :subject:to:x-me-proxy:x-me-proxy:x-me-sender:x-me-sender
 :x-sasl-enc; s=fm2; bh=9X5V+VuilK5u/rk0PZhOT5UiTt9raqyRAwBkkbP1m
 0I=; b=LEeQE5gIy4gLRJ6d69Nz2swOplxtlkkeRRYqzOMxKagxJzR3szVGb6TbZ
 daFiR4NMX+F5edknV+relHjp1v/E2SV3PdEhvluxpdUF2MOQZK70Lmv6qYzpD5cE
 Nc8H5KNJBZ5MkcZbyi9htJDqOId5NCX6VZNipVvmHpuQcgBbwm8c7oosIZqFCAh4
 ZQlu4sL4Jn0LQjLqwgNWsHhCMJ+xVOC6Ud0BxFs/vEtBexWWVGJPfrJwzN29QCc/
 7kc9pcyQp9k3Hv4bspUGmBV4oUPIYmS/78ETMw1ZwcI7bMLih6GDdtQtE9XEapH0
 pxzR76pGQwd/QaeDHGAjd5qdOeCvA==
X-ME-Sender: <xms:fQCcYGWo-gk4QcvMkjLA4ENbN09wAvYhG42imSQe7OBV8pJ-c7mqGQ>
 <xme:fQCcYCmNFo6kzS7gts2rq3_4T7lE1CoxbGEqFTOk_yONQ7hTjxO0UP8k3dWXuOx9O
 lE2YRJtCm3QVLvi7A>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgeduledrvdehvddgleeiucetufdoteggodetrfdotf
 fvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfqfgfvpdfurfetoffkrfgpnffqhgen
 uceurghilhhouhhtmecufedttdenucesvcftvggtihhpihgvnhhtshculddquddttddmne
 cujfgurhepfffhvffukfhfgggtugfgjgesthekredttddtudenucfhrhhomhepnfgvohcu
 hfgrmhhulhgrrhhiuceolhgvohesfhgrmhhulhgrrhhirdhnrghmvgeqnecuggftrfgrth
 htvghrnhepueeugedugfdvgfevuedvleduleefjefhgefgjeetgfegkedukefhvdefleej
 hefgnecukfhppedutddtrdduuddrudeiledruddukeenucevlhhushhtvghrufhiiigvpe
 dtnecurfgrrhgrmhepmhgrihhlfhhrohhmpehlvghosehfrghmuhhlrghrihdrnhgrmhgv
X-ME-Proxy: <xmx:fQCcYKZImWm6j_giFdAIRXs32jJWeK-adTJquhsDFlkSdl-7QFE9qg>
 <xmx:fQCcYNV-dN8a8zrxLeOWGpEvA6Zp4GsQdNE-vFHZ9UWQkqslaCsEDg>
 <xmx:fQCcYAkjLa2FZMLfLj8z72iwRE5AIAg-LuL9yiUD1W3uLL9j0_bgZg>
 <xmx:fgCcYCTcRaBUq9xwz5tqR1vbNTUw7EiaqxjDTkU--OGWQ6Uz8Nlk4w>
Received: from localhost (pool-100-11-169-118.phlapa.fios.verizon.net
 [100.11.169.118]) by mail.messagingengine.com (Postfix) with ESMTPA;
 Wed, 12 May 2021 12:21:17 -0400 (EDT)
Date: Tue, 11 May 2021 15:13:07 -0400
From: Leo Famulari <leo@HIDDEN>
To: Stefan =?iso-8859-1?Q?Reich=F6r?= <stefan@HIDDEN>
Subject: Re: [bug#48364] [PATCH 5/5] gnu: Add tz.
Message-ID: <YJrXQ5/WP+sQ1Ryv@HIDDEN>
References: <20210511185554.67355-1-stefan@HIDDEN>
 <20210511185554.67355-5-stefan@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=iso-8859-1
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
In-Reply-To: <20210511185554.67355-5-stefan@HIDDEN>
X-Spam-Score: 0.1 (/)
X-Debbugs-Envelope-To: 48364
Cc: 48364 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.9 (/)

On Tue, May 11, 2021 at 08:55:54PM +0200, Stefan ReichŲr wrote:
> * gnu/packages/time.scm (tz): New variable.

> +    (synopsis "Display time across a few selected time zones.")
> +    (description
> +     "tz is a cli tool that displays a given time in several time zones.  Use
> +the environment variable TZ_LIST to specify a list of time zones.")

I'm curious, how does it find the time zone database?

It should look them up at runtime via something like a TZDIR environment
variable. It should not include a copy of the database, or else it will
become "stale" before too long.




Information forwarded to guix-patches@HIDDEN:
bug#48364; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 11 May 2021 18:56:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue May 11 14:56:14 2021
Received: from localhost ([127.0.0.1]:37400 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lgXYE-0000ni-CB
	for submit <at> debbugs.gnu.org; Tue, 11 May 2021 14:56:14 -0400
Received: from lists.gnu.org ([209.51.188.17]:48194)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefan@HIDDEN>) id 1lgXYB-0000nJ-Fz
 for submit <at> debbugs.gnu.org; Tue, 11 May 2021 14:56:11 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:46428)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <stefan@HIDDEN>) id 1lgXYB-0000Ta-7o
 for guix-patches@HIDDEN; Tue, 11 May 2021 14:56:11 -0400
Received: from dd3624.kasserver.com ([85.13.130.11]:56614)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <stefan@HIDDEN>) id 1lgXY9-0005ZO-1t
 for guix-patches@HIDDEN; Tue, 11 May 2021 14:56:10 -0400
Received: from localhost (217-149-167-109.nat.highway.telekom.at
 [217.149.167.109])
 by dd3624.kasserver.com (Postfix) with ESMTPA id A99085D4206F;
 Tue, 11 May 2021 20:56:07 +0200 (CEST)
From: =?UTF-8?q?Stefan=20Reich=C3=B6r?= <stefan@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH 5/5] gnu: Add tz.
Date: Tue, 11 May 2021 20:55:54 +0200
Message-Id: <20210511185554.67355-5-stefan@HIDDEN>
X-Mailer: git-send-email 2.25.1
In-Reply-To: <20210511185554.67355-1-stefan@HIDDEN>
References: <20210511185554.67355-1-stefan@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
Received-SPF: none client-ip=85.13.130.11; envelope-from=stefan@HIDDEN;
 helo=dd3624.kasserver.com
X-Spam_score_int: -25
X-Spam_score: -2.6
X-Spam_bar: --
X-Spam_report: (-2.6 / 5.0 requ) BAYES_00=-1.9, RCVD_IN_DNSWL_LOW=-0.7,
 SPF_HELO_NONE=0.001, SPF_NONE=0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: submit
Cc: =?UTF-8?q?Stefan=20Reich=C3=B6r?= <stefan@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

* gnu/packages/time.scm (tz): New variable.
---
 gnu/packages/time.scm | 35 +++++++++++++++++++++++++++++++++++
 1 file changed, 35 insertions(+)

diff --git a/gnu/packages/time.scm b/gnu/packages/time.scm
index d6ebb59a1e..fbe7a8b5c1 100644
--- a/gnu/packages/time.scm
+++ b/gnu/packages/time.scm
@@ -19,6 +19,7 @@
 ;;; Copyright © 2020 Lars-Dominik Braun <ldb@HIDDEN>
 ;;; Copyright © 2020 Tanguy Le Carrour <tanguy@HIDDEN>
 ;;; Copyright © 2021 Ryan Prior <rprior@HIDDEN>
+;;; Copyright © 2021 Stefan Reichör <stefan@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -540,3 +541,37 @@ calls.")
 from a starting point you provide.  The user can pause and resume the
 countdown from the text user interface.")
     (license expat)))
+
+(define-public tz
+  (package
+    (name "tz")
+    (version "0.5")
+    (source
+     (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url "https://github.com/oz/tz")
+             (commit (string-append "v" version))))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32 "1sixfbph5013c9ccx0xqkp9jskg7jr9y29nn9j85q1zmg5by221v"))))
+    (build-system go-build-system)
+    (arguments
+     '(#:import-path "github.com/oz/tz"))
+    (native-inputs
+     `(("go-github-com-charmbracelet-bubbletea" ,go-github-com-charmbracelet-bubbletea)
+       ("go-github-com-containerd-console" ,go-github-com-containerd-console)
+       ("go-github-com-google-goterm" ,go-github-com-google-goterm)
+       ("go-github-com-mattn-go-isatty" ,go-github-com-mattn-go-isatty)
+       ("go-github.com-mattn-go-runewidth" ,go-github.com-mattn-go-runewidth)
+       ("go-github-com-muesli-reflow-ansi" ,go-github-com-muesli-reflow-ansi)
+       ("go-github-com-muesli-reflow-truncate" ,go-github-com-muesli-reflow-truncate)
+       ("go-github-com-muesli-termenv" ,go-github-com-muesli-termenv)
+       ("go-golang-org-colorful" ,go-golang-org-colorful)
+       ("go-golang-org-x-crypto" ,go-golang-org-x-crypto)))
+    (home-page "https://github.com/oz/tz")
+    (synopsis "Display time across a few selected time zones.")
+    (description
+     "tz is a cli tool that displays a given time in several time zones.  Use
+the environment variable TZ_LIST to specify a list of time zones.")
+    (license gpl3)))
-- 
2.25.1





Acknowledgement sent to Stefan Reichör <stefan@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#48364; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 7 Aug 2021 07:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.